open OUnit2

let sample_list : int list = [
    1721;
    979;
    366;
    299;
    675;
    1456;
]

let test_part_one _ =
  assert_equal (Lib.part_one sample_list) (Some [1721; 299])

let test_part_two _ =
  assert_equal (Lib.part_two sample_list) (Some [979; 366; 675])

let () =
  run_test_tt_main
    ("day one" >:::
       [
         "part one" >:: test_part_one;
         "part two" >:: test_part_two;
    ])
