open Base

let main() =
  let source = Lib.parse_file "input" in
  let old_count = List.count ~f:Lib.old_validate source in
  let new_count = List.count ~f:Lib.new_validate source in
  Stdio.printf "%d passwords are valid by the old metric\n" old_count;
  Stdio.printf "%d passwords are valid by the new metric\n" new_count

let () = main()
